const express = require('express');
const router = express.Router();

// Importă conexiunea la baza de date
const pool = require('../db'); 

// Importă middleware-ul de autentificare
const authenticateToken = require('../middleware/auth');

router.get('/', async (req, res) => {
    try {
        const [results] = await pool.promise().query('SELECT id_serie,ultimul_numar, nume_document,serie_document FROM serii_documente');
        res.json(results);
    } catch (err) {
        console.error('Error fetching serii documente:', err);
        res.status(500).send('Internal Server Error');
    }
});
router.put('/:id', async (req, res) => {
    const { id } = req.params;
    const { ultimul_numar, serie_document } = req.body;

    try {
        const [result] = await pool.promise().query(
            'UPDATE serii_documente SET ultimul_numar = ?, serie_document = ? WHERE id_serie = ?',
            [ultimul_numar, serie_document, id]
        );
        res.json({ success: true, updated: result.affectedRows });
    } catch (err) {
        console.error('Error updating serie document:', err);
        res.status(500).send('Internal Server Error');
    }
});

module.exports = router;
